﻿using System;
using System.Collections.Generic;
using System.Text;
#region 命名空间
using System.Threading;
using SocketCommon;
using System.Net;
#endregion

namespace ClientConsole
{
    class Program
    {
        static void Main(string[] args)
        {
            #region 测试消息发送,并匹配协议
            TcpClient client = new TcpClient();
            client.AsynConnect();
            Console.WriteLine("下面将连续发送3条测试消息...");
            Console.ReadKey();
            MessageProtocol msgPro;
            for (int i = 0; i < 3; i++)
            {
                msgPro = new MessageProtocol("我是liger_zql");
                Console.WriteLine("第{0}条：{1}", i + 1, msgPro.MessageInfo.Content);
                client.AsynSend(msgPro);
            }
            #endregion

            #region 发送文件测试
            Console.ReadKey();
            Console.WriteLine("推送文件...");
            msgPro = new MessageProtocol()
            {
                MessageType = MessageType.file,
                RequestFile = new RequestFile()
                {
                    Mode = RequestMode.send,
                    FileObject = new FileObject()
                    {
                        FileName = "KKSetup_3602.exe"
                    }
                }
            };
            UdpServer udpServer = new UdpServer(msgPro.RequestFile);
            client.AsynSend(msgPro);
            #endregion

            #region 接收文件测试
            Console.ReadKey();
            Console.WriteLine("接收文件...");
            msgPro = new MessageProtocol()
            {
                MessageType = MessageType.file,
                RequestFile = new RequestFile()
                {
                    Mode = RequestMode.recive,
                    FileObject = new FileObject()
                    {
                        FileName = "20090901093002.rar"
                    }
                }
            };
            udpServer = new UdpServer(msgPro.RequestFile);
            client.AsynSend(msgPro);
            #endregion
        }
    }
}
