﻿using System;
using System.Collections.Generic;
using System.Text;
#region 命名空间
using System.IO;
#endregion

namespace SocketCommon
{
    public class FileReciveManager : FileManager
    {
        public FileReciveManager(FileObject _fileobject)
        {
            fileobject = _fileobject;
            filestream = new FileStream(
                String.Format("{0}{1}", fileobject.FileName, ".temp"),
                FileMode.Append,
                FileAccess.Write);
        }
        public void Write(byte[] buffer)
        {
            filestream.Write(buffer, 0, buffer.Length);
            offset += buffer.Length;
            if (offset < fileobject.FileLength)
            {
                status = Status.keepon;
            }
            else
            {
                this.Dispose();
                FileInfo tempfile = new FileInfo(
                    String.Format("{0}{1}", fileobject.FileName, ".temp"));
                if (File.Exists(fileobject.FileName))
                {
                    File.Delete(fileobject.FileName);
                }
                tempfile.MoveTo(fileobject.FileName);
                status = Status.complete;
            }
        }
    }
}
